<?php
// dd(get_current_user_id());

    // $google_selected = get_option( "google_selected_credential" );      
    // $website_url = get_user_meta( get_current_user_id(), "website_url_" . $google_selected, true );
    // $percentage = get_user_meta( get_current_user_id(), "percentage_" . $google_selected, true );

    $web_site =  explode( '//', get_bloginfo("url") )[1];
    $start = date('Y-m-d',strtotime("-30 days"));
    $end = date('Y-m-d',strtotime("-1 days"));
    $start_past = date('Y-m-d',strtotime("-60 days"));
    $end_past = date('Y-m-d',strtotime("-30 days"));

    // $str = @file_get_contents("https://dev.business.earnlink.com/reliable-ad-api/adsense/api.php?website_url=absolutenews.com&start_date=".$start."&end_date=".$end);
    // $str_past = @file_get_contents("https://dev.business.earnlink.com/reliable-ad-api/adsense/api.php?website_url=absolutenews.com&start_date=".$start_past."&end_date=".$end_past);
    $str = @file_get_contents("https://dev.business.earnlink.com/reliable-ad-api/adsense/api.php?website_url=".$web_site."&start_date=".$start."&end_date=".$end);
    $str_past = @file_get_contents("https://dev.business.earnlink.com/reliable-ad-api/adsense/api.php?website_url=".$web_site."&start_date=".$start_past."&end_date=".$end_past);

    // dd($start);
    // dd($end);
    // dd($web_site);
    $data_report = json_decode($str, true);
    $data_report_past = json_decode($str_past, true);
    // dd($data_report);
    $report = $data_report['data'];
    $report_past = $data_report_past['data'];

    // dd($report);
    if($report){
        usort($report, function($a, $b) {
            return strtotime($b[0]) - strtotime($a[0]);
        });
    }

    $page_views_total = 0;
    $impressions_total = 0;
    // $impressions_rpm_total = 0;
    $clicks_total = 0;

    $page_views_total_past = 0;
    $impressions_total_past = 0;
    // $impressions_rpm_total_past = 0;
    $clicks_total_past = 0;

    if ( !empty( $report ) && count( $report ) > 0 ){
        foreach ($report as $key => $row) {

            
              
            $page_views_total += (float)$row[1];
            // $impressions_rpm_total += (float)$row[2];
            $impressions_total += (float)$row[3];
            $clicks_total += (float)$row[4];
            // $cost_per_click = (float)$row[5];
            // $page_views_ctr = (float)$row[6];
            // $earnings = (float)$row[7]; 
        }

        foreach ($report_past as $key => $row) {

            $page_views_total_past += (float)$row[1];
            // $impressions_rpm_total_past += (float)$row[2];
            $impressions_total_past += (float)$row[3];
            $clicks_total_past += (float)$row[4];
            // $cost_per_click = (float)$row[5];
            // $page_views_ctr = (float)$row[6];
            // $earnings = (float)$row[7]; 
        }

        $perf_views = report_performance_increase_new( $page_views_total, $page_views_total_past );
        $perf_impressions = report_performance_increase_new( $impressions_total, $impressions_total_past );
        $perf_clicks = report_performance_increase_new( $clicks_total, $clicks_total_past );
    }



    function report_performance_increase_new( $present = 0, $past = 0 ) {
        if( $present == 0 || $past == 0 ) {
          return 0;
        } else {
          $result = array();
          $is_positive = true;
          $total = $present - $past;
          $increase = ( abs( $total ) / $past ) * 100;
          if ( is_nan( $increase ) ) {
            $increase = 0;
          }
          if( $total < 0 ) {
            $is_positive = false;
          }
          if ( $is_positive ){
            $value = "+" . number_format($increase, 0) . '%';
          }else{
            $value = "-" . number_format($increase, 0) . '%';
          }
          $result = array( 
            "is_positive" => $is_positive,
            "value"       => $value,
            "difference"  => abs($total)
          );
          return $result;
        }
    }

    function display_diff_of_perf($data) {
        $is_positive = ($data !== 0 && $data["is_positive"] ) ? " success" : " danger";
        $is_positive_sign = ($data !== 0 && $data["is_positive"] ) ? "+" : "-";
        $value = ( !empty($data) && $data !== 0 ) ? roundDigits($data["difference"]) . '(' . $data["value"] . ')' : "0(0%)";
        
        return '<h5 class="summary '.$is_positive.'">'.$is_positive_sign.' '.$value.'</h5>';
    }


?>

<div class="container ">
    <div class="pt-4 mt-2 pb-3">
        <img src="<?=plugin_dir_url( dirname( __FILE__ ) ) . 'assets/img/Earnlink-Business-Logo-New.png'?>" alt="logo">
    </div>
<div class="row my-4 d-flex align-items-center">
    <div class="col-6">
        <!-- <h1 class="site-title">absolutenews.com</h1> -->
        <h1 class="site-title"><?=$web_site?></h1>

        <input type="hidden" class="start" value="<?=$start?>">
        <input type="hidden" class="end" value="<?=$end?>">
    </div>
    <div class="col-6 text-end">
            <a href="https://business.earnlink.com/" class="btn btn-secondary text-capitalize">View on Earnlink</a>
        <!-- <div class="btn-group">
            <button class="btn btn-outline-secondary fw-bolder download-adsense">Download CSV</button>
        </div> -->
    </div>
</div>




<div class="row mb-4">
    <div class=" col-xl-12 ">
        <div class="earn-dashboard ">
            <div class="row p-3">
                <div class="col-lg-12 pb-4">
                    <h3 class="">Last 30 Days vs Previous 30 Days</h3>
                </div>
                <div class="col ">
                    <h5 class="label">Page views</h5>
                    <h2 class="amount"><?= ( !empty( $page_views_total ) ) ? roundDigits( $page_views_total ) : '0' ; ?></h2>
                    <?= display_diff_of_perf($perf_views) ?>
                </div>
                <div class="col ">
                    <h5 class="label">Impressions</h5>
                    <h2 class="amount"><?= ( !empty( $impressions_total ) ) ? roundDigits( $impressions_total ) : '0' ; ?></h2>
                    <?= display_diff_of_perf($perf_impressions) ?>
                </div>
                <div class="col ">
                    <h5 class="label">Clicks</h5>
                    <h2 class="amount"><?= ( !empty( $clicks_total ) ) ? roundDigits( $clicks_total ) : '0' ; ?></h2>
                    <?= display_diff_of_perf($perf_clicks) ?>
                </div>
            </div>
        </div>
    </div>
</div>







    <div class="table-responsive ">
        <table class="table border modal-revenue-table">
            <thead >
                <th>Date</th>
                <th>Page views</th>
                <th>Impressions</th>
                <th>Clicks</th>
                <!-- <th>RPM</th>
                <th>Revenue</th>
                <th>Earnings</th> -->
            </thead>
            <tbody>
                <?php if ( !empty( $report ) && count( $report ) > 0 ): ?>
                    <?php foreach ($report as $key => $row) : ?>
                    <?php
                    // dd($row);
                         $date = $row[0];
                         $page_views = (float)$row[1];
                         $impressions_rpm = (float)$row[2];
                         $impressions = (float)$row[3];
                         $clicks = (float)$row[4];
                         $cost_per_click = (float)$row[5];
                         $page_views_ctr = (float)$row[6];
                         $earnings = (float)$row[7];    
                    ?>
                        <tr>
                            <td><?= date("l F j, Y", strtotime($date)) ?></td>
                            <td><?= number_format($page_views)?></td>
                            <td><?= number_format($impressions)?></td>
                            <td><?= number_format($clicks)?></td>
                       <!--      <td><?= number_format($impressions_rpm, 2) ?></td>
                            <td><?= number_format($earnings,2) ?></td>
                            <td><?= number_format($earnings,2) ?></td> -->
                        </tr>
                    <?php endforeach; ?>

                <?php endif; ?>
            </tbody>
        </table>
    </div>
</div>



